Frontend (Signing Key JWT)Workflow Catalog
Get an automation workflow template available to the connected user
Get an automation workflow template available to the connected user by its workflow uuid. Unlike the project listing, it also returns a template of a project not listed in the Automation Hub.
Authorization
jwtBearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workflowUuid*string
The workflow template uuid.
Header Parameters
X-Environment?string
The environment.
Value in
- "DEVELOPMENT"
- "STAGING"
- "PRODUCTION"
Response Body
application/json
curl -X GET "https://example.com/automation/workflow-templates/string"{ "id": "string", "label": "string", "description": "string", "components": [ { "name": "string", "title": "string", "icon": "string", "connectionRequired": true, "integrationId": 0, "provided": true } ], "inputs": [ { "name": "string", "label": "string", "type": "string", "required": true, "provided": true } ]}How is this guide?